Module java.desktop
Package java.awt.dnd

## Class DropTargetEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.dnd.DropTargetEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DropTargetDragEvent`, `DropTargetDropEvent`

    public class DropTargetEvent
    extends EventObject

The `DropTargetEvent` is the base class for both the `DropTargetDragEvent` and the `DropTargetDropEvent`. It encapsulates the current state of the Drag and Drop operations, in particular the current `DropTargetContext`.

Since:
  1.2
See Also:
  Serialized Form

### Field Summary

Fields
`protected DropTargetContext` `context` The `DropTargetContext` associated with this `DropTargetEvent`.

### Fields declared in class java.util.EventObject

`source`

### Constructor Summary

Constructors
`DropTargetEvent​(DropTargetContext dtc)` Construct a `DropTargetEvent` object with the specified `DropTargetContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`DropTargetContext` `getDropTargetContext()` This method returns the `DropTargetContext` associated with this `DropTargetEvent`.

### Methods declared in class java.util.EventObject

`getSource, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### context

    protected DropTargetContext context

The `DropTargetContext` associated with this `DropTargetEvent`.

### Constructor Detail

#### DropTargetEvent

    public DropTargetEvent​(DropTargetContext dtc)

Construct a `DropTargetEvent` object with the specified `DropTargetContext`.

Parameters:
  `dtc` - The `DropTargetContext`
Throws:
  `NullPointerException` - if `dtc` equals `null`.
See Also:
  `EventObject.getSource()`, `getDropTargetContext()`

### Method Detail

#### getDropTargetContext

    public DropTargetContext getDropTargetContext()

This method returns the `DropTargetContext` associated with this `DropTargetEvent`.

Returns:
  the `DropTargetContext`